package v1

// This file contains a collection of methods that can be used from go-restful to
// generate Swagger API documentation for its models. Please read this PR for more
// information on the implementation: https://github.com/emicklei/go-restful/pull/215
//
// TODOs are ignored from the parser (e.g. TODO(andronat):... || TODO:...) if and only if
// they are on one line! For multiple line or blocks that you want to ignore use ---.
// Any context after a --- is ignored.
//
// Those methods can be generated by using hack/update-swagger-docs.sh

// AUTO-GENERATED FUNCTIONS START HERE
var map_RangeAllocation = map[string]string{
	"":      "RangeAllocation is used so we can easily expose a RangeAllocation typed for security group This is an internal API, not intended for external consumption.",
	"range": "range is a string representing a unique label for a range of uids, \"1000000000-2000000000/10000\".",
	"data":  "data is a byte array representing the serialized state of a range allocation.  It is a bitmap with each bit set to one to represent a range is taken.",
}

func (RangeAllocation) SwaggerDoc() map[string]string {
	return map_RangeAllocation
}

var map_RangeAllocationList = map[string]string{
	"":      "RangeAllocationList is a list of RangeAllocations objects This is an internal API, not intended for external consumption.",
	"items": "List of RangeAllocations.",
}

func (RangeAllocationList) SwaggerDoc() map[string]string {
	return map_RangeAllocationList
}

// AUTO-GENERATED FUNCTIONS END HERE
